## kpipewire 6.3.0

=== debian/changelog ===
kpipewire (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:55:52 +0100

kpipewire (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:50:56 +0100

kpipewire (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:06:13 +0100

kpipewire (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 10:56:47 +0100

=== debian/control ===
Source: kpipewire
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libavcodec-dev,
               libavfilter-dev,
               libavformat-dev,
               libavutil-dev,
               libdrm-dev (>= 2.4.62~),
               libegl-dev,
               libepoxy-dev (>= 1.3~),
               libgbm-dev,
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libpipewire-0.3-dev,
               libswscale-dev,
               libva-dev,
               libwayland-dev,
               libxkbcommon-dev,
               pipewire-bin,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-base-private-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
               qt6-wayland-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kpipewire
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpipewire
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpipewire.git
Rules-Requires-Root: no

Package: libkpipewire-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE's Pipewire libraries - data files
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the library data files.

Package: libkpipewire-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libkpipewire6 (= ${binary:Version}),
         libkpipewiredmabuf6 (= ${binary:Version}),
         libkpipewirerecord6 (= ${binary:Version}),
         libpipewire-0.3-dev,
         qml6-module-org-kde-pipewire (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Description: KDE's Pipewire libraries - development files
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the library development files.

Package: libkpipewire6
Architecture: linux-any
Multi-Arch: same
Depends: libkpipewire-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE's Pipewire libraries - libkpipewire6 library
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewire main library.

Package: libkpipewiredmabuf6
Architecture: linux-any
Multi-Arch: same
Depends: libkpipewire-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE's Pipewire libraries - libkpipewiredmabuf6
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewiredmabuf library.

Package: libkpipewirerecord6
Architecture: linux-any
Multi-Arch: same
Depends: libkpipewire-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE's Pipewire libraries - libkpipewirerecord6
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewirerecord library.

Package: qml6-module-org-kde-pipewire
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: KDE's Pipewire libraries - QML module
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the QtQuick module.

## kpipewire 6.3.2

=== debian/changelog ===
kpipewire (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:51:21 +0100

## kpipewire 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(KPipewire VERSION "6.3.4")

set(KF6_MIN_VERSION "6.10.0")
find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

find_package(Qt6 REQUIRED COMPONENTS DBus Quick)
find_package(KF6 REQUIRED COMPONENTS I18n CoreAddons)

find_package(EGL REQUIRED)

pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3 REQUIRED)

# ffmpeg, for recording
pkg_check_modules(AVCodec IMPORTED_TARGET libavcodec REQUIRED)
pkg_check_modules(AVUtil IMPORTED_TARGET libavutil REQUIRED)
pkg_check_modules(AVFormat IMPORTED_TARGET libavformat REQUIRED)
pkg_check_modules(AVFilter IMPORTED_TARGET libavfilter REQUIRED)
pkg_check_modules(GBM IMPORTED_TARGET gbm REQUIRED)
pkg_check_modules(SWScale IMPORTED_TARGET libswscale REQUIRED)
find_package(epoxy 1.3 REQUIRED)
find_package(Libdrm 2.4.62 REQUIRED)
pkg_check_modules(LIBVA IMPORTED_TARGET libva REQUIRED)
pkg_check_modules(LIBVA-drm IMPORTED_TARGET libva-drm REQUIRED)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

# Prevent EGL headers from including platform headers, in particular Xlib.h.
add_definitions(-DMESA_EGL_NO_X11_HEADERS)
add_definitions(-DEGL_NO_X11)
add_definitions(-DEGL_NO_PLATFORM_SPECIFIC_TYPES)

ecm_set_disabled_deprecation_versions(QT 6.8.1
   KF 6.9.0
)

if (BUILD_TESTING)
   find_package(PlasmaWaylandProtocols REQUIRED)
   include(ECMAddTests)
   find_package(Qt6 REQUIRED COMPONENTS Test QuickTest)
   add_subdirectory(tests)
endif()
add_subdirectory(src)

ki18n_install(po)

=== src/monitors/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

ecm_add_qml_module(KPipeWireMonitorDeclarative URI "org.kde.pipewire.monitor" GENERATE_PLUGIN_SOURCE VERSION 1.0)
target_sources(KPipeWireMonitorDeclarative PRIVATE mediamonitor.cpp)
target_link_libraries(KPipeWireMonitorDeclarative PRIVATE Qt::Quick PkgConfig::PipeWire KPipeWire)
ecm_finalize_qml_module(KPipeWireMonitorDeclarative)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== debian/changelog ===
kpipewire (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:55:00 +0100

kpipewire (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:17:54 +0000

kpipewire (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on KF6 >= 6.10.0
    - Keep our symbols files.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 09:40:21 +0000

kpipewire (6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:15:27 +0000

kpipewire (6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:22:31 +0000

kpipewire (6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:54:25 +0000

kpipewire (6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:41:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kpipewire
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libavcodec-dev,
@@ -19,8 +20,8 @@
                libegl-dev,
                libepoxy-dev (>= 1.3~),
                libgbm-dev,
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
                libpipewire-0.3-dev,
                libswscale-dev,
                libva-dev,
@@ -29,15 +30,15 @@
                pipewire-bin,
                pkgconf,
                plasma-wayland-protocols,
-               qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-base-private-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
-               qt6-wayland-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.7.0+dfsg~),
+               qt6-base-private-dev (>= 6.7.0+dfsg~),
+               qt6-declarative-dev (>= 6.7.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.0+dfsg~),
+               qt6-wayland-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kpipewire
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpipewire
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpipewire.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
 Rules-Requires-Root: no
 
 Package: libkpipewire-data
@@ -101,7 +102,9 @@
 Package: qml6-module-org-kde-pipewire
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: KDE's Pipewire libraries - QML module
  Components for rendering and recording PipeWire streams using Qt.
  .

## kpipewire 6.3.5

=== debian/changelog ===
kpipewire (6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
  * Backport upstream commits:
    - Fix major VP9 encoding performance issue in apps using kpipewire like
    spectacle by actually passing the encoding options to FFmpeg. (kde#488896)
    - Correctly handle asynchronous request and feedback of encoding status
    changes.
    - Improve encoding startup performance by only querying VAAPI when
    actually necessary.
  * Update symbols from build for 6.3.5.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:37 +0200

kpipewire (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 00:58:40 +0200

## kpipewire 6.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16)
-project(KPipewire VERSION "6.3.4")
+project(KPipewire VERSION "6.3.90")
 
 set(KF6_MIN_VERSION "6.10.0")
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
@@ -13,6 +13,11 @@
 include(ECMDeprecationSettings)
 
 find_package(Qt6 REQUIRED COMPONENTS DBus Quick)
+
+if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+endif()
+
 find_package(KF6 REQUIRED COMPONENTS I18n CoreAddons)
 
 find_package(EGL REQUIRED)

=== src/CMakeLists.txt ===
include(ECMGenerateExportHeader)
include(ECMQmlModule)
include(ECMGenerateHeaders)
include(ECMSetupVersion)

add_definitions(-DTRANSLATION_DOMAIN=\"kpipewire6\")

add_library(KPipeWire)

ecm_qt_declare_logging_category(kpipewire_SRCS
                            HEADER logging.h
                            IDENTIFIER PIPEWIRE_LOGGING
                            CATEGORY_NAME kpipewire_logging
                            DEFAULT_SEVERITY Warning
                            DESCRIPTION "PipeWire components for KDE"
                            EXPORT KPipeWire)
ecm_qt_declare_logging_category(kpipewire_SRCS
                            HEADER logging_vaapi.h
                            IDENTIFIER PIPEWIREVAAPI_LOGGING
                            CATEGORY_NAME kpipewire_vaapi_logging
                            DEFAULT_SEVERITY Warning
                            DESCRIPTION "PipeWire components for KDE - VAAPI related messages"
                            EXPORT KPipeWire)
ecm_qt_declare_logging_category(kpipewiredmabuf_SRCS
                            HEADER logging_dmabuf.h
                            IDENTIFIER PIPEWIREDMABUF_LOGGING
                            CATEGORY_NAME kpipewire_dmabuf_logging
                            DEFAULT_SEVERITY Warning
                            DESCRIPTION "PipeWire and DMABuf components for KDE"
                            EXPORT KPipeWireDmaBuf)
ecm_qt_declare_logging_category(kpipewirerecord_SRCS
                            HEADER logging_record.h
                            IDENTIFIER PIPEWIRERECORD_LOGGING
                            CATEGORY_NAME kpipewire_record_logging
                            DEFAULT_SEVERITY Warning
                            DESCRIPTION "PipeWire and FFmpeg components for KDE"
                            EXPORT KPipeWireRecord)
ecm_qt_declare_logging_category(kpipewirerecord_SRCS
                            HEADER logging_libav.h
                            IDENTIFIER PIPEWIRELIBAV_LOGGING
                            CATEGORY_NAME kpipewire_libav_logging
                            DEFAULT_SEVERITY Warning
                            DESCRIPTION "PipeWire components for KDE - libav log output"
                            DEFAULT_SEVERITY Info)

ecm_qt_install_logging_categories(
    EXPORT KPipeWire
    FILE kpipewire.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

ecm_qt_install_logging_categories(
    EXPORT KPipeWireRecord
    FILE kpipewirerecord.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

target_sources(KPipeWire PRIVATE
    pipewirecore.cpp
    pipewiresourceitem.cpp
    pipewiresourcestream.cpp
    glhelpers.cpp
    pwhelpers.cpp
    vaapiutils.cpp
    ${kpipewire_SRCS}
)

# these are features pipewire use extensively and make it hard to look at compile logs
target_compile_options(KPipeWire PUBLIC -Wno-gnu-statement-expression-from-macro-expansion -Wno-zero-as-null-pointer-constant -Wno-c99-extensions -Wno-cast-align)

target_link_libraries(KPipeWire PRIVATE Qt::Quick Qt::GuiPrivate KF6::I18n
    KF6::CoreAddons PkgConfig::PipeWire epoxy::epoxy PkgConfig::GBM Libdrm::Libdrm PkgConfig::LIBVA PkgConfig::LIBVA-drm)

target_link_libraries(KPipeWire PRIVATE EGL::EGL)

target_include_directories(KPipeWire PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
                                     PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>" ${PipeWire_INCLUDE_DIRS}
                                     INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPipeWire>")
set_target_properties(KPipeWire PROPERTIES
                             VERSION ${PROJECT_VERSION}
                             SOVERSION ${PROJECT_VERSION_MAJOR}
                      )

ecm_generate_export_header(KPipeWire
    BASE_NAME KPipeWire
    VERSION ${PROJECT_VERSION}
)

ecm_generate_headers(KPipeWire_HEADERS
  HEADER_NAMES
  PipeWireSourceStream
  PipeWireSourceItem
  REQUIRED_HEADERS KPipeWire_HEADERS
)

install(FILES
  ${KPipeWire_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/kpipewire_export.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPipeWire COMPONENT Devel
)

add_library(KPipeWireDmaBuf dmabufhandler.cpp ${kpipewiredmabuf_SRCS})
target_link_libraries(KPipeWireDmaBuf PUBLIC KPipeWire
    PRIVATE Qt::Core Qt::Gui PkgConfig::GBM
    epoxy::epoxy Libdrm::Libdrm Qt::GuiPrivate
)

set_target_properties(KPipeWireDmaBuf PROPERTIES
                             VERSION ${PROJECT_VERSION}
                             SOVERSION ${PROJECT_VERSION_MAJOR}
                      )

ecm_generate_export_header(KPipeWireDmaBuf
    BASE_NAME KPipeWireDmaBuf
    VERSION ${PROJECT_VERSION}
)

ecm_generate_headers(KPipeWireDmaBuf_HEADERS
  HEADER_NAMES
    DmaBufHandler
  REQUIRED_HEADERS KPipeWireDmaBuf_HEADERS
)

install(FILES
  ${KPipeWireDmaBuf_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/kpipewiredmabuf_export.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPipeWire COMPONENT Devel
)

add_library(KPipeWireRecord ${kpipewirerecord_SRCS}
                            pipewirebaseencodedstream.cpp
                            pipewireencodedstream.cpp
                            pipewirerecord.cpp
                            pipewireproduce.cpp
                            encoder.cpp
                            gifencoder.cpp
                            h264vaapiencoder.cpp
                            libx264encoder.cpp
                            libopenh264encoder.cpp
                            libvpxencoder.cpp
                            libvpxvp9encoder.cpp
                            libwebpencoder.cpp
)
target_link_libraries(KPipeWireRecord PUBLIC KPipeWire
    PRIVATE Qt::Core Qt::Gui KF6::CoreAddons KPipeWireDmaBuf
    PkgConfig::AVCodec PkgConfig::AVUtil PkgConfig::AVFormat PkgConfig::AVFilter PkgConfig::GBM PkgConfig::SWScale
    epoxy::epoxy Libdrm::Libdrm
)

ecm_generate_headers(KPipeWireRecord_HEADERS
  HEADER_NAMES
  PipeWireRecord
  PipeWireEncodedStream
  PipeWireBaseEncodedStream
  REQUIRED_HEADERS KPipeWireRecord_HEADERS
)
set_target_properties(KPipeWireRecord PROPERTIES
                             VERSION ${PROJECT_VERSION}
                             SOVERSION ${PROJECT_VERSION_MAJOR}
                      )

install(FILES
  ${KPipeWireRecord_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/kpipewire_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPipeWire COMPONENT Devel
)

install(TARGETS KPipeWire KPipeWireRecord KPipeWireDmaBuf EXPORT KPipeWireTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


ecm_setup_version(PROJECT VARIABLE_PREFIX KPIPEWIRE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpipewire_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPipeWireConfigVersion.cmake"
                        SOVERSION ${PROJECT_VERSION_MAJOR})

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPipeWire")
install(EXPORT KPipeWireTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPipeWireTargets.cmake NAMESPACE K::)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KPipeWireConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KPipeWireConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )
install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KPipeWireConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KPipeWireConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )


#################
# Declarative

ecm_add_qml_module(KPipeWireDeclarative URI "org.kde.pipewire" VERSION 1.0)
target_sources(KPipeWireDeclarative PRIVATE kpipewiredeclarativeplugin.cpp)
target_link_libraries(KPipeWireDeclarative PRIVATE KPipeWire Qt::Quick)
ecm_finalize_qml_module(KPipeWireDeclarative DESTINATION ${KDE_INSTALL_QMLDIR})

ecm_add_qml_module(KPipeWireRecordDeclarative URI "org.kde.pipewire.record" VERSION 1.0)
target_sources(KPipeWireRecordDeclarative PRIVATE kpipewirerecorddeclarativeplugin.cpp)
target_link_libraries(KPipeWireRecordDeclarative PRIVATE KPipeWire KPipeWireRecord Qt::Quick)
ecm_finalize_qml_module(KPipeWireRecordDeclarative DESTINATION ${KDE_INSTALL_QMLDIR})

add_subdirectory(monitors)

=== debian/changelog ===
kpipewire (6.3.6-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix incorrect backport of commit 0ac4aa41 that broke desktop
    sharing. (Closes: #1109233, thanks Antonio Russo for the detailed
    analysis !)
  * New upstream release (6.3.6).
    - Fix build with Qt 6.10.
  * Refresh patches.
  * Backport upstream commit: [9fe7a568] Adjust timers from the correct
    thread

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Jul 2025 16:45:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: kpipewire
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libavcodec-dev,
@@ -20,8 +19,8 @@
                libegl-dev,
                libepoxy-dev (>= 1.3~),
                libgbm-dev,
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.2.0~),
+               libkf6i18n-dev (>= 6.2.0~),
                libpipewire-0.3-dev,
                libswscale-dev,
                libva-dev,
@@ -30,15 +29,15 @@
                pipewire-bin,
                pkgconf,
                plasma-wayland-protocols,
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-base-private-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.0+dfsg~),
-               qt6-wayland-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-private-dev (>= 6.6.0+dfsg~),
+               qt6-declarative-dev (>= 6.6.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
+               qt6-wayland-dev (>= 6.6.0~),
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/kpipewire
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpipewire
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpipewire.git
 Rules-Requires-Root: no
 
 Package: libkpipewire-data
@@ -102,9 +101,7 @@
 Package: qml6-module-org-kde-pipewire
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: KDE's Pipewire libraries - QML module
  Components for rendering and recording PipeWire streams using Qt.
  .

## kpipewire 6.4.4

=== debian/changelog ===
kpipewire (6.4.4-0zneon+24.04+noble+release+build29) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 13 Aug 2025 12:39:56 +0000

kpipewire (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:30:34 +0000

kpipewire (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:20:22 +0000

kpipewire (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:51:22 +0000

kpipewire (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 25 Jun 2025 00:01:29 +0000

kpipewire (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:38:47 +0000

kpipewire (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:09:18 +0000

kpipewire (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:23:51 +0000

kpipewire (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:19:19 +0000

kpipewire (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:21:06 +0000

kpipewire (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 15:08:04 +0000

kpipewire (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:40:01 +0000

kpipewire (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:11:48 +0000

kpipewire (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:44:36 +0000

kpipewire (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:23:45 +0000

kpipewire (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:15:14 +0000

kpipewire (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:26:09 +0000

kpipewire (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 14:30:11 +0000

kpipewire (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:20:51 +0000

kpipewire (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:37:59 +0000

kpipewire (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:14:52 +0000

kpipewire (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:48:26 +0000

kpipewire (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 13:09:02 +0000

kpipewire (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:25:30 +0000

kpipewire (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:56:03 +0000

kpipewire (6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:21:58 +0000

kpipewire (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 Jan 2024 16:12:46 +1000

kpipewire (5.27.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:57:08 +0000

kpipewire (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2023 20:57:08 +0000

kpipewire (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:06:12 +0000

kpipewire (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:13:14 +0000

kpipewire (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:27:18 +0000

kpipewire (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:15:32 +0000

kpipewire (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:44:23 +0000

## kpipewire 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
-project(KPipewire VERSION "6.3.90")
+project(KPipewire)
+set(PROJECT_VERSION "6.4.5")
+string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
+list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
+list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
+list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(KF6_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.14.0")
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
 include(KDEInstallDirs)
@@ -12,7 +17,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 
-find_package(Qt6 REQUIRED COMPONENTS DBus Quick)
+find_package(Qt6 REQUIRED COMPONENTS DBus OpenGL Quick)
 
 if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
     find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
@@ -50,7 +55,7 @@
 add_definitions(-DEGL_NO_PLATFORM_SPECIFIC_TYPES)
 
 ecm_set_disabled_deprecation_versions(QT 6.8.1
-   KF 6.9.0
+   KF 6.12.0
 )
 
 if (BUILD_TESTING)

=== debian/changelog ===
kpipewire (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:01:29 +0100

kpipewire (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:28:14 +0100

kpipewire (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:33:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kpipewire
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.14.0~),
                gettext,
                libavcodec-dev,
                libavfilter-dev,
@@ -19,8 +20,8 @@
                libegl-dev,
                libepoxy-dev (>= 1.3~),
                libgbm-dev,
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
+               libkf6coreaddons-dev (>= 6.14.0~),
+               libkf6i18n-dev (>= 6.14.0~),
                libpipewire-0.3-dev,
                libswscale-dev,
                libva-dev,
@@ -29,15 +30,15 @@
                pipewire-bin,
                pkgconf,
                plasma-wayland-protocols,
-               qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-base-private-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
-               qt6-wayland-dev (>= 6.6.0~),
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               qt6-wayland-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kpipewire
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpipewire
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpipewire.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
 Rules-Requires-Root: no
 
 Package: libkpipewire-data
@@ -58,7 +59,7 @@
          libkpipewirerecord6 (= ${binary:Version}),
          libpipewire-0.3-dev,
          qml6-module-org-kde-pipewire (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0+dfsg~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Description: KDE's Pipewire libraries - development files
  Components for rendering and recording PipeWire streams using Qt.
@@ -101,7 +102,9 @@
 Package: qml6-module-org-kde-pipewire
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: KDE's Pipewire libraries - QML module
  Components for rendering and recording PipeWire streams using Qt.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF

## kpipewire 6.4.5+p24.04+vstable+git20250928.0612

=== debian/changelog ===
kpipewire (6.4.5+p24.04+vstable+git20250928.0612-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 06:12:01 +0000

kpipewire (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:48:19 +0000

## kpipewire 6.4.5+p24.04+vstable+git20251004.0529

=== debian/changelog ===
kpipewire (6.4.5+p24.04+vstable+git20251004.0529-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:29:18 +0000

## kpipewire 6.4.5+p24.04+vstable+git20251012.0047

=== debian/changelog ===
kpipewire (6.4.5+p24.04+vstable+git20251012.0047-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 00:47:14 +0000

## kpipewire 6.4.5+p24.04+vstable+git20251020.0947

=== debian/changelog ===
kpipewire (6.4.5+p24.04+vstable+git20251020.0947-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 09:47:28 +0000

## kpipewire 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 project(KPipewire)
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.4.91")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
 list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(KF6_MIN_VERSION "6.14.0")
+set(KF6_MIN_VERSION "6.18.0")
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
 include(KDEInstallDirs)
@@ -54,8 +54,8 @@
 add_definitions(-DEGL_NO_X11)
 add_definitions(-DEGL_NO_PLATFORM_SPECIFIC_TYPES)
 
-ecm_set_disabled_deprecation_versions(QT 6.8.1
-   KF 6.12.0
+ecm_set_disabled_deprecation_versions(QT 6.9.0
+   KF 6.16.0
 )
 
 if (BUILD_TESTING)

=== debian/changelog ===
kpipewire (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.
  * Update symbols from build for 6.4.91.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 12:04:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: kpipewire
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.14.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.18.0~),
                gettext,
                libavcodec-dev,
                libavfilter-dev,
@@ -20,8 +19,8 @@
                libegl-dev,
                libepoxy-dev (>= 1.3~),
                libgbm-dev,
-               libkf6coreaddons-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
+               libkf6coreaddons-dev (>= 6.2.0~),
+               libkf6i18n-dev (>= 6.2.0~),
                libpipewire-0.3-dev,
                libswscale-dev,
                libva-dev,
@@ -30,15 +29,15 @@
                pipewire-bin,
                pkgconf,
                plasma-wayland-protocols,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
-               qt6-wayland-dev (>= 6.8.0~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-private-dev (>= 6.6.0+dfsg~),
+               qt6-declarative-dev (>= 6.6.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
+               qt6-wayland-dev (>= 6.6.0~),
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/kpipewire
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpipewire
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpipewire.git
 Rules-Requires-Root: no
 
 Package: libkpipewire-data
@@ -59,7 +58,7 @@
          libkpipewirerecord6 (= ${binary:Version}),
          libpipewire-0.3-dev,
          qml6-module-org-kde-pipewire (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-base-dev (>= 6.6.0+dfsg~),
          ${misc:Depends},
 Description: KDE's Pipewire libraries - development files
  Components for rendering and recording PipeWire streams using Qt.

## kpipewire 6.5.0

=== debian/changelog ===
kpipewire (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:57:57 +0200

## kpipewire 6.5.0+p24.04+vstable+git20251024.0147

=== debian/changelog ===
kpipewire (6.5.0+p24.04+vstable+git20251024.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 01:47:36 +0000

kpipewire (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:43:43 +0000

=== debian/control ===
Source: kpipewire
Section: libs
Priority: optional
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kwayland-dev,
               libavcodec-dev,
               libavfilter-dev,
               libavformat-dev,
               libavutil-dev,
               libdrm-dev (>= 2.4.62~),
               libegl1-mesa-dev,
               libepoxy-dev (>= 1.3~),
               libgbm-dev,
               libpipewire-0.3-dev,
               libswscale-dev,
               libva-dev,
               libwayland-dev,
               pkg-kde-tools-neon,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-wayland-dev,
               qt6-wayland-dev-tools
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/plasma/kpipewire
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kpipewire.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kpipewire
Maintainer: Neon CI <neon@kde.org>

Package: libkpipewire-dev
Section: libdevel
Architecture: any
Depends: libkpipewire6 (= ${binary:Version}),
         libkpipewirerecord6 (= ${binary:Version}),
         libpipewire-0.3-dev,
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends}
Breaks: libkpipewire5 (<< 5.27.9)
Replaces: libkpipewire5 (<< 5.27.9)
Description: KDE's Pipewire library
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the library development files.

Package: libkpipewire6
Architecture: any
Depends: qt6-base, qt6-declarative, ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpipewire5 (<< 6.0.1)
Replaces: libkpipewire5 (<< 6.0.1)
Description: KDE's Pipewire library
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewire main library.

Package: libkpipewirerecord6
Architecture: any
Depends: qt6-base, ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpipewirerecord5 (<< 6.0.1)
Replaces: libkpipewirerecord5 (<< 6.0.1)
Description: KDE's Pipewire library
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the kpipewirerecord library.

Package: qml6-module-org-kde-pipewire
Architecture: any
Depends: libkpipewire6 (= ${binary:Version}),
         libkpipewirerecord6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-kde-pipewire (<< 6.0.1)
Replaces: qml-module-org-kde-pipewire (<< 6.0.1)
Description: KDE's Pipewire library
 Components for rendering and recording PipeWire streams using Qt.
 .
 This package contains the QtQuick module.

Package: libkpipewire5
Architecture: all
Depends: libkpipewire6, ${misc:Depends}
Section: oldlibs
Priority: optional
Description: transitional package
 This is a dummy package which can be removed.

Package: libkpipewiredmabuf5
Architecture: all
Depends: libkpipewire6, ${misc:Depends}
Section: oldlibs
Priority: optional
Description: transitional package
 This is a dummy package which can be removed.

Package: libkpipewiredmabuf6
Architecture: all
Depends: libkpipewire6, ${misc:Depends}
Breaks: libkpipewiredmabuf5 (<< 6.0.1)
Replaces: libkpipewiredmabuf5 (<< 6.0.1)
Section: oldlibs
Priority: optional
Description: transitional package
 This is a dummy package which can be removed.

Package: libkpipewirerecord5
Architecture: all
Depends: libkpipewirerecord6, ${misc:Depends}
Section: oldlibs
Priority: optional
Description: transitional package
 This is a dummy package which can be removed.

Package: qml-module-org-kde-pipewire
Architecture: all
Depends: qml6-module-org-kde-pipewire, ${misc:Depends}
Section: oldlibs
Priority: optional
Description: transitional package
 This is a dummy package which can be removed.

## kpipewire 6.5.0+p24.04+vunstable+git20251021.0817

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(KPipewire)
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.80")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
@@ -27,7 +27,7 @@
 
 find_package(EGL REQUIRED)
 
-pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3 REQUIRED)
+pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3>=0.3.33 REQUIRED)
 
 # ffmpeg, for recording
 pkg_check_modules(AVCodec IMPORTED_TARGET libavcodec REQUIRED)

=== debian/changelog ===
kpipewire (6.5.0+p24.04+vunstable+git20251021.0817-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:17:39 +0000

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,6 @@
          libkpipewirerecord6 (= ${binary:Version}),
          libpipewire-0.3-dev,
          qt6-base-dev,
-         qt6-declarative-dev,
          ${misc:Depends}
 Breaks: libkpipewire5 (<< 5.27.9)
 Replaces: libkpipewire5 (<< 5.27.9)

## kpipewire 6.5.0+p24.04+vunstable+git20251021.0921

=== debian/changelog ===
kpipewire (6.5.0+p24.04+vunstable+git20251021.0921-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:21:51 +0000
